Package com.enonic.xp.page

## Class PageDescriptor

- java.lang.Object
- - com.enonic.xp.descriptor.Descriptor
  - - com.enonic.xp.region.ComponentDescriptor
    - - com.enonic.xp.page.PageDescriptor

-     @PublicApi
      public final class PageDescriptor
      extends ComponentDescriptor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PageDescriptor.Builder` |

    - ### Nested classes/interfaces inherited from class com.enonic.xp.region.ComponentDescriptor

      `ComponentDescriptor.BaseBuilder<T extends ComponentDescriptor.BaseBuilder>`

  - ### Field Summary

    - ### Fields inherited from class com.enonic.xp.region.ComponentDescriptor

      `modifiedTime`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PageDescriptor.Builder` | `copyOf​(PageDescriptor pageDescriptor)` |
    `static PageDescriptor.Builder` | `create()` |
    `ResourceKey` | `getComponentPath()` |
    `RegionDescriptors` | `getRegions()` |
    `static ResourceKey` | `toResourceKey​(DescriptorKey key)` |

    - ### Methods inherited from class com.enonic.xp.region.ComponentDescriptor

      `getConfig, getDescription, getDescriptionI18nKey, getDisplayName, getDisplayNameI18nKey, getModifiedTime, getSchemaConfig`

    - ### Methods inherited from class com.enonic.xp.descriptor.Descriptor

      `getApplicationKey, getKey, getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getComponentPath

          public ResourceKey getComponentPath()

      Specified by:
        `getComponentPath` in class `ComponentDescriptor`

    - #### getRegions

          public RegionDescriptors getRegions()

    - #### toResourceKey

          public static ResourceKey toResourceKey​(DescriptorKey key)

    - #### create

          public static PageDescriptor.Builder create()

    - #### copyOf

          public static PageDescriptor.Builder copyOf​(PageDescriptor pageDescriptor)